package com.oo.eye.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

import com.app.baselibrary.recycler.adapter.BaseRecyclerViewAdapter;
import com.app.baselibrary.recycler.itemholder.ItemViewHolder;
import com.oo.eye.R;
import com.oo.eye.bean.StudentBean;

import java.util.List;

/**
 * Date : 2018/8/28.
 * Author:  cxh
 */

public class MorePeopleAdapter extends BaseRecyclerViewAdapter<StudentBean, ItemViewHolder> {
    private final LayoutInflater mInflater;

    public MorePeopleAdapter(List<StudentBean> list, Context context) {
        super(list, context);
        mInflater = LayoutInflater.from(mContext);
    }

    @Override
    public ItemViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        return new ItemViewHolder(mInflater.inflate(R.layout.item_people, parent, false));
    }

    @Override
    public void onBindViewHolder(ItemViewHolder holder, final int position) {
        final StudentBean studentBean = mList.get(position);
        TextView orderText = (TextView) holder.itemView.findViewById(R.id.test_order);
        orderText.setText(studentBean.getNumber());
        TextView groupText = (TextView) holder.itemView.findViewById(R.id.test_group);
        groupText.setText(studentBean.getClasses());
        TextView nameText = (TextView) holder.itemView.findViewById(R.id.test_name);
        nameText.setText(studentBean.getRealname());
        TextView birthdayText = (TextView) holder.itemView.findViewById(R.id.test_birthday);
        birthdayText.setText(studentBean.getBirthday());
        ImageView imageView = (ImageView) holder.itemView.findViewById(R.id.chick_iv);
        imageView.setImageResource(studentBean.isChick() ? R.drawable.select2_sel : R.drawable.select2_nor);
        holder.itemView.findViewById(R.id.choice_lay).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                studentBean.setChick(!studentBean.isChick());
                notifyDataSetChanged();
            }
        });
    }


    @Override
    public int getItemCount() {
        return mList.size();
    }
}
